Update Account (Banking Connectivity)
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/banking/accounts/{account_id} \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"account_type": "CHECKING"
}
'import requests
url = "https://api-sandbox.y.uno/v1/banking/accounts/{account_id}"
payload = {
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"account_type": "CHECKING"
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_id: '550e8400-e29b-41d4-a716-446655440000', account_type: 'CHECKING'})
};
fetch('https://api-sandbox.y.uno/v1/banking/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "acct_aa0e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"onboarding_id": "onb_990e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"account_id": "col_bank_account_789"
},
"account_type": "CHECKING",
"status": "ACTIVE",
"account_number": "1234567890",
"routing_number": "123456789",
"iban": null,
"currency": "USD",
"balance": {
"available": 5000,
"current": 5000,
"pending": 0
},
"account_details": {
"account_name": "John Doe - Primary Checking",
"sort_code": null,
"bsb": null,
"swift": null
},
"payment_rails": {
"incoming": [
"ACH",
"WIRE"
],
"outgoing": [
"ACH",
"WIRE"
]
},
"supports_book_transfers": true,
"created_at": "2026-02-01T10:10:00Z",
"updated_at": "2026-02-01T12:00:00Z"
}{
"code": "VALIDATION_ERROR",
"messages": [
"Request validation failed"
],
"http_code": 400
}{
"code": "ACCOUNT_NOT_FOUND",
"messages": [
"Account not found"
],
"http_code": 404
}Accounts
Update Account
PATCH
/
banking
/
accounts
/
{account_id}
Update Account (Banking Connectivity)
Update an existing Banking Connectivity account. Only include the fields you want to change.
Path Parameters
The unique identifier of the account. Found on the Yuno dashboard (UUID, 36 chars).
Body
application/json
Response
OK
The unique identifier of the Banking Connectivity account (prefixed acct_).
Example:
"acct_aa0e8400-e29b-41d4-a716-446655440000"
The id of the entity associated with this account.
Example:
"ent_660e8400-e29b-41d4-a716-446655440000"
The id of the onboarding used to create this account.
Example:
"onb_990e8400-e29b-41d4-a716-446655440000"
The merchant's Yuno account identifier.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Show child attributes
Show child attributes
Available options:
CHECKING, SAVINGS, INVESTMENT Example:
"CHECKING"
Available options:
ACTIVE, PENDING, INACTIVE Example:
"ACTIVE"
Example:
"1234567890"
Example:
"123456789"
Example:
null
Example:
"USD"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
true
Example:
"2026-02-01T10:10:00Z"
Example:
"2026-02-01T12:00:00Z"
Was this page helpful?